diff --git a/CMakeLists.txt b/CMakeLists.txt
index a0cb9c4..9e628ee 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -1,10 +1,10 @@
-
 cmake_minimum_required(VERSION 2.8)
-set(CMAKE_BUILD_TYPE  "Release")
-set(CMAKE_CXX_FLAGS   "-w -O3")
-set(CMAKE_C_FLAGS   "-w -O3")
+set(CMAKE_BUILD_TYPE  "Debug")
+set(CMAKE_CXX_FLAGS   "-w -O3 -lGL -lGLU -lglut -lX11")
+set(CMAKE_C_FLAGS   "-w -O3 -lGL -lGLU -lglut -lX11")
 add_definitions("-w")
 set(CMAKE_MACOSX_RPATH 1)
+set(OpenGL_GL_PREFERENCE "GLVND")
 set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
 set(CMAKE_INSTALL_RPATH "$ENV{HOME}/lib")
 set(CMAKE_INSTALL_NAME_DIR "$ENV{HOME}/lib")
@@ -13,7 +13,6 @@ set(CMAKE_INSTALL_NAME_DIR "$ENV{HOME}/lib")
 #SET(CMAKE_SKIP_BUILD_RPATH  TRUE)
 
 
-
 macro(DATE RESULT)
     if(WIN32)
         execute_process(COMMAND "cmd" " /C date /T" OUTPUT_VARIABLE ${RESULT} OUTPUT_STRIP_TRAILING_WHITESPACE)
@@ -62,7 +61,7 @@ IF(APPLE)
 	target_link_libraries( Medit3D ${GL_LIBS})
 
 elseif(UNIX)
-	add_library(           Medit3D SHARED ${sources})
+	add_library(Medit3D SHARED ${sources})
 	find_package(GLUT REQUIRED)
 	include_directories(${GLUT_INCLUDE_DIRS})
 	link_directories(${GLUT_LIBRARY_DIRS})
@@ -80,13 +79,12 @@ elseif(UNIX)
 	set(GL_LIBS ${OPENGL_LIBRARIES} ${GLUT_LIBRARY} )
 
 	target_link_libraries( Medit3D ${GL_LIBS})
-	INSTALL(               TARGETS Medit3D LIBRARY  DESTINATION "$ENV{HOME}/lib")
-	INSTALL(               FILES ${hea} DESTINATION "$ENV{HOME}/include")
+	INSTALL(TARGETS Medit3D LIBRARY  DESTINATION "$ENV{HOME}/lib")
+	INSTALL(FILES ${hea} DESTINATION "$ENV{HOME}/include")
 
 ENDIF()
 
-target_link_libraries( Medit3D ${GL_LIBS})
-
+target_link_libraries( Medit3D ${GL_LIBS} -lglut)
 
 project(medit)
 add_executable(        medit src/medit.c)
diff --git a/src/compil.date b/src/compil.date
index 1ca0c76..36ab31b 100644
--- a/src/compil.date
+++ b/src/compil.date
@@ -1 +1 @@
-#define COMPIL  "2021-05-20 07:58:25"
\ No newline at end of file
+#define COMPIL  "2024-06-03 11:11:49"
\ No newline at end of file
